aboutsummaryrefslogtreecommitdiff
path: root/app/admin
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
commit2cd81aedce1f3e0cf3a1c597e2420110a5a7894a (patch)
tree7fe740917fbb54b8e10e42c40bcd69d27bed6ff3 /app/admin
parentacbbe3011c0d08bf44de093f9d9cd3a1d08ac14a (diff)
downloadslackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.gz
slackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.bz2
packages now shipping with slack-required
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1980 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/admin')
-rwxr-xr-xapp/admin/kedpm/kedpm.SlackBuild26
-rwxr-xr-xapp/admin/syslog-ng/syslog-ng.SlackBuild12
2 files changed, 27 insertions, 11 deletions
diff --git a/app/admin/kedpm/kedpm.SlackBuild b/app/admin/kedpm/kedpm.SlackBuild
index b52ee535..30db1e15 100755
--- a/app/admin/kedpm/kedpm.SlackBuild
+++ b/app/admin/kedpm/kedpm.SlackBuild
@@ -10,12 +10,12 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for kedpm, by Silvio Rhatto
-# requires: pycrypto
+# requires: pycrypto
# tested: kedpm-0.4.0
#
@@ -55,8 +55,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
# Set error codes (used by createpkg)
@@ -83,11 +84,10 @@ if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-
# Untar
cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC=`ls -l | awk '/^d/ { print $8 }'`
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
cd "$PKG_SRC"
# Build and install package
@@ -114,9 +114,9 @@ done
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
@@ -134,11 +134,17 @@ kedpm:
kedpm:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/app/admin/syslog-ng/syslog-ng.SlackBuild b/app/admin/syslog-ng/syslog-ng.SlackBuild
index 5c2fa073..43eed53f 100755
--- a/app/admin/syslog-ng/syslog-ng.SlackBuild
+++ b/app/admin/syslog-ng/syslog-ng.SlackBuild
@@ -193,10 +193,14 @@ syslog-ng:
EODESC
# Add a post-installation script (doinst.sh)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EOSCRIPT > "$PKG/install/doinst.sh"
config() {
NEW="\$1"
OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ OLD="\$(dirname \$NEW)/\$(basename \$OLD .sample)"
+ OLD="\$(dirname \$NEW)/\$(basename \$OLD .dist)"
+
# If there's no config file by that name, mv it over:
if [ ! -r \$OLD ]; then
mv \$NEW \$OLD
@@ -231,11 +235,17 @@ mkuser() {
config etc/rc.d/rc.syslog-ng.new ; config etc/syslog-ng.conf.new
EOSCRIPT
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi